---
Module Name: DroneHelper
Module Guid: 4293292f-eac8-42ed-8e9d-437d4f405d2c
Download Help Link: {{ Update Download Link }}
Help Version: {{ Please enter version of help manually (X.X.X.X) format }}
Locale: en-US
---

# DroneHelper Module
## Description
See global [Readme file](../README.md) for usage instructions.

## DroneHelper Cmdlets
### [Get-RepoPath](Get-RepoPath.md)
Updates the module manifest file fields to prepare the new build.

### [Install-ModuleDependency](Install-ModuleDependency.md)
Install required modules of the module manifest file.

### [Invoke-BuildState](Invoke-BuildState.md)
Sets final Drone pipeline build state.

### [Invoke-FileLinter](Invoke-FileLinter.md)
Runs the file linter for all src files found in current repository.

### [Invoke-InstallDependency](Invoke-InstallDependency.md)
Install required modules for executing the DroneHelper pipeline helpers.

### [Invoke-Linter](Invoke-Linter.md)
Runs all PSScriptAnalyzer Rules within this repo.

### [Invoke-Publish](Invoke-Publish.md)
Publishes powershell module to internal Nexus repository.

### [Invoke-UnitTest](Invoke-UnitTest.md)
Runs all Pester tests within this repo.

### [Merge-ModuleRoot](Merge-ModuleRoot.md)
Merges single ps1 files into one module script file.

### [New-BuildPackage](New-BuildPackage.md)
Creates a new module package as compressed archive.

### [New-Docs](New-Docs.md)
Creates a ne set of markdown based help in the docs folder.

### [Send-PRComment](Send-PRComment.md)
Sends build report as Gitea PR comment.

### [Set-EOL](Set-EOL.md)
Helper function to set the EOL sequence to LF or CRLF.

### [Test-FileBOM](Test-FileBOM.md)
Tests given file if native utf8 w/o BOM is used.
Returns false if BOM is present.

### [Test-FileEncoding](Test-FileEncoding.md)
Returns true if the given file is written in a valid encoding

### [Test-FileEOF](Test-FileEOF.md)
Returns false if EOF isn't an empty line.

### [Test-FileEOL](Test-FileEOL.md)
Returns false if EOL isn't CRLF

### [Test-FileTab](Test-FileTab.md)
Returns false if tab char is used in file.

### [Test-FileTailingWhitespace](Test-FileTailingWhitespace.md)
Returns false if there are any tailing whitespace in lines.

### [Update-Changelog](Update-Changelog.md)
Updates the changelog file with recent commits

### [Update-Docs](Update-Docs.md)
Publishes powershell module to internal Nexus repository.

### [Update-ModuleMeta](Update-ModuleMeta.md)
Updates the module manifest file fields to prepare the new build.

### [Write-FailureStateFile](Write-FailureStateFile.md)
Writes the current pipeline step into failure log.

### [Write-ResultFile](Write-ResultFile.md)
Writes the current pipeline step into failure log.

